Subject: Re: Deliver skbs to intermediate interfaces, when using cascaded rx-handlers

From: Tobias Waldekranz <[email-masked]>
Date: Fri, 21 Feb 2014 15:54:47 +0100

On Fri, Feb 21, 2014 at 03:48:27PM +0100, Jiri Pirko wrote:
> Fri, Feb 21, 2014 at 03:31:14PM CET, [email-masked] wrote:
> >On Fri, Feb 21, 2014 at 02:05:53PM +0100, Jiri Pirko wrote:
> >> Fri, Feb 21, 2014 at 01:02:44PM CET, [email-masked] wrote:
> >> >On Fri, Feb 21, 2014 at 12:37:53PM +0100, Jiri Pirko wrote:
> >> >> Fri, Feb 21, 2014 at 12:12:57PM CET, [email-masked] wrote:
> >> >> >> What "switch driver" are you reffering to?
> >> >> >> 
> >> >> >
> >> >> >The driver that is in charge of multiplexing packets from the switch
> >> >> >chip out to the port interfaces. It registers an rx-handler on eth0
> >> >> >and forwards packets to port[1-4] by reading a custom tag (similar to
> >> >> >802.1Q) inserted by the switch.
> >> >> 
> >> >> Allright, but what's the name? I would like to find it and see the code.
> >> >
> >> >There's not really a name :), but I have made the source available on github:
> >> >
> >> >https://github.com/wkz/switchcore
> >> 
> >> Are you aware of existing DSA infrastructure?
> >> 
> >
> >Yes I am, we have our reasons for using our own driver. Most of it
> >having to do with dynamic configuration, multiple hardware channel
> >support and a variety of exotic hardware setups.
> 
> Would not it be better to make DSA better in order to achieve your goal?
> 

Sure, that is something we are considering. But before we do that we
need to make sure that our model works, end-to-end, for all important
use-cases.

> >
> >Do you have any input on the original question?
> 
> I'm not really sure how to handle this. I fail to clearly understand the
> topology you are describing...
> 
> >
> >> >
> >> >The relevant parts for this discussion should be in sc_main.c.
> >> >
> >> >> 
> >> >> >
> >> >> >-- 
> >> >> >Thanks
> >> >> > - wkz
> >> >
> >> >-- 
> >> >Thanks
> >> > - wkz
> >
> >-- 
> >Thanks
> > - wkz

-- 
Thanks
 - wkz